- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# stderr – Splits output, sending failed tasks to stderr

New in version 2.4.

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | The ‘default’ callback plugin now supports this functionality
Alternative: | ‘default’ callback plugin with ‘display_failed_stderr = yes’ option

## Synopsis

- This is the stderr callback plugin, it behaves like the default callback plugin but sends error output to stderr.
- Also it does not output skipped host/task/item status

## Requirements

The below requirements are needed on the local master node that executes this callback.

- set as main display callback

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
display_failed_stderr boolean added in 2.7 | Choices: no ← yes | ini entries: [defaults] display_failed_stderr = no env:ANSIBLE_DISPLAY_FAILED_STDERR | Toggle to control whether failed and unreachable tasks are displayed to STDERR (vs. STDOUT)
display_ok_hosts boolean added in 2.7 | Choices: no yes ← | ini entries: [defaults] display_ok_hosts = yes env:ANSIBLE_DISPLAY_OK_HOSTS | Toggle to control displaying 'ok' task/host results in a task
display_skipped_hosts boolean | Choices: no yes ← | ini entries: [defaults] display_skipped_hosts = yes env:DISPLAY_SKIPPED_HOSTS env:ANSIBLE_DISPLAY_SKIPPED_HOSTS | Toggle to control displaying skipped task/host results in a task
show_custom_stats boolean | Choices: no ← yes | ini entries: [defaults] show_custom_stats = no env:ANSIBLE_SHOW_CUSTOM_STATS | This adds the custom stats set via the set_stats plugin to the play recap
show_per_host_start boolean added in 2.9 | Choices: no ← yes | ini entries: [defaults] show_per_host_start = no env:ANSIBLE_SHOW_PER_HOST_START | This adds output that shows when a task is started to execute for each host

## Status

- This callback will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.